php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #31680 var_unserialize.c line 418 warning
Submitted: 2005-01-24 16:55 UTC Modified: 2005-02-21 21:16 UTC
From: hb at cgx dot nl Assigned: helly (profile)
Status: Closed Package: Compile Warning
PHP Version: * OS: *
Private report: No CVE-ID: None
 [2005-01-24 16:55 UTC] hb at cgx dot nl
Description:
------------
I got this compile warning during the make process.
 /home/bonh/php-4.3.10/ext/standard/var_unserializer.c: In function `php_var_unserialize':
 /home/bonh/php-4.3.10/ext/standard/var_unserializer.c:381: warning: comparison is always false due to limited 
 range of data type


When I change line  418 of /ext/standard/var_unserializer.c into 

 if(yych <= (YYCTYPE)'\277') goto yy16;	

The warning is gone and all runs fine.

I compiled on the latest debian unstable 
I used php4-STABLE-200501241530.tar.gz.

my config file is this.

"./configure" \
"--with-zlib=/usr/local" \
"--enable-track-vars" \
"--with-mysql=/usr/local/mysql" \
"--with-apache=../apache_1.3.33" \
"--enable-force-cgi-redirect" \
"--enable-discard-path" \
"--enable-calendar" \
"--enable-ftp" \
"--enable-gd-native-ttf " \
"--with-xml" \
"--with-ttf" \
"--with-domxml" \
"--with-sablot=/usr/local" \
"--with-mcrypt=/usr/local" \
"--with-curl=/usr/local" \
"--with-png-dir=/usr/local" \
"--with-jpeg-dir=/usr/local" \
"--with-freetype-dir=/usr/local" \
"--with-tiff-dir=/usr/local" \
"--with-gdbm=/usr/local" \
"--with-t1lib=/usr/local" \
"$@"





Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2005-01-24 19:37 UTC] helly@php.net
Obviously we need to use re2c 0.9.3!
 [2005-01-25 02:29 UTC] sniper@php.net
re2c 0.9.3 does NOT fix the warning.

 [2005-02-21 21:16 UTC] helly@php.net
Need to use re2.c 0.9.4+
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Thu Dec 01 18:05:54 2022 UTC